Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.dbbc
Class DBBCInterpreter

    java.lang.Object
      avrora.sim.BaseInterpreter
          avrora.sim.GenInterpreter
              avrora.sim.dbbc.DBBCInterpreter

All Implemented Interfaces:
  InstrVisitor

public class DBBCInterpreter
extends GenInterpreter

Nested Class Summary
`static class` | `DBBCInterpreter.Factory`

Nested classes inherited from class avrora.sim.BaseInterpreter
`BaseInterpreter.ErrorReporter, BaseInterpreter.StateImpl`

Field Summary

Fields inherited from class avrora.sim.GenInterpreter
`R0, R1, R10, R11, R12, R13, R14, R15, R16, R17, R18, R19, R2, R20, R21, R22, R23, R24, R25, R26, R27, R28, R29, R3, R30, R31, R4, R5, R6, R7, R8, R9, RX, RY, RZ`

Fields inherited from class avrora.sim.BaseInterpreter
`bootPC, C, clock, cyclesConsumed, delayCycles, exceptionWatch, flash, globalProbe, H, I, innerLoop, interruptBase, interrupts, ioregs, justReturnedFromInterrupt, N, nextPC, NUM_REGS, pc, RAMPZ, registers, S, shared_instr, shouldRun, simulator, sleeping, SPH_reg, SPL_reg, sram, sram_max, sram_start, sram_watches, SREG, SREG_C, SREG_H, SREG_I, SREG_N, SREG_reg, SREG_S, SREG_T, SREG_V, SREG_Z, state, T, V, Z`

Constructor Summary
`DBBCInterpreter(DBBC comp, Simulator s, Program p, MicrocontrollerProperties pr)`

Method Summary
`protected void` | `compileProgram()`

Methods inherited from class avrora.sim.GenInterpreter
`bit, enterSleepMode, extended, high, leaveSleepMode, low, popPC, pushPC, runLoop, step, uword, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class avrora.sim.BaseInterpreter
`advanceClock, commit, delay, disableInterrupts, enableInterrupts, getDataByte, getInstr, getInstrSize, getInterruptBase, getInterruptTable, getInterruptVectorAddress, getIOReg, getIORegisterByte, getMainClock, getPC, getProgramByte, getRegisterByte, getRegisterByte, getRegisterUnsigned, getRegisterUnsigned, getRegisterWord, getRegisterWord, getSimulator, getSP, getSREG, insertExceptionWatch, insertIORWatch, insertProbe, insertProbe, insertWatch, installIOReg, popByte, pushByte, removeIORWatch, removeProbe, removeProbe, removeWatch, setBootPC, setEnabled, setInterruptBase, setPosted, setSP, start, stop, storeProgramMemory, writeDataByte, writeFlashByte, writeIORegisterByte, writeRegisterByte, writeRegisterByte, writeRegisterWord, writeRegisterWord, writeSREG`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBBCInterpreter

    public DBBCInterpreter(DBBC comp,
                           Simulator s,
                           Program p,
                           MicrocontrollerProperties pr)

Method Detail

### compileProgram

    protected void compileProgram()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD